import org.junit.Test;

import static org.junit.Assert.*;

public class ArrayTest {
    @Test
    public void testIndexOfBug() {
        int actual = Array.indexOf(new int[]{0, 1, 2, 3}, 4);
        int expected = -1;
        assertEquals(expected, actual);
    }

    @Test(expected = IllegalArgumentException.class)
    public void testIndexOfNullArgument() {
        Array.indexOf(null, 0);
    }

    @Test
    public void testIndexOfCoverage() {
        int actual = Array.indexOf(new int[]{0, 1, 2, 3}, 2);
        int expected = 2;
        assertEquals(expected, actual);
    }

    @Test
    public void testAverageBug() {
        int actual = Array.average(new int[]{1});
        int expected = 1;
        assertEquals(expected, actual);
    }

    @Test
    public void testAverage() {
        int actual = Array.average(new int[]{0, 2, 4, 10});
        int expected = 4;
        assertEquals(expected, actual);
    }

    @Test(expected = IllegalArgumentException.class)
    public void testAverageNullArgument() {
        Array.average(null);
    }

    @Test(expected = IllegalArgumentException.class)
    public void testAverageEmptyList() {
        Array.average(new int[]{});
    }
}
